Subject: Re: [msysGit] Re: Pull request for msysGit patches

From: Eric Sunshine <[email-masked]>
Date: Tue, 28 Sep 2010 23:54:17 -0400

On 9/28/2010 11:38 PM, Junio C Hamano wrote:
> Eric Sunshine<[email-masked]>  writes:
>
>> I am the author of this patch. Do I understand correctly that your
>> primary concern is that you find the comment misleading? I consider
>> the code
>>
>>    fmt = (len>  0&&  is_dir_sep(cwd[len-1])) ? "%s%s" : "%s/%s";
>>
>> sufficiently self-documenting that the comment is superfluous, and
>> would be happy to remove the comment. Would you prefer the patch
>> submitted with the comment removed?
>
> Yeah, that sounds sensible.  Thanks.

Thank you for the response. I will re-submit the patch with the noted 
changes: (1) parentheses surrounding conditional expression, (2) removal 
of superfluous comment.

-- ES